#include<iostream>

using namespace std;

int n,m,p;
char mat[15][15];

int main()
{
    cin>>n>>m;
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<=m;j++)
        {
            cin>>mat[i][j];
            if(mat[i][j]=='.') p++;
        }
    }
    if(p==n*m)
    {
        for(int i=1,j=1;i<=n && j<=m;i++,j++)
        {
            mat[i][j]='C';
        }
        cout<<endl;
        for(int i=1;i<=n;i++)
        {
            for(int j=1;j<=m;j++)
            {
                cout<<mat[i][j];
            }
            cout<<endl;
        }
    }

    return 0;
}